Subject: Re: [PATCH 2/2] git-gc: skip stashes when expiring reflogs

From: Jon Loeliger <[email-masked]>
Date: Fri, 13 Jun 2008 08:54:27 -0500

Andreas Ericsson wrote:

> I think these are the options we're faced with:
> 1. Never expire stashes (don't shoot the user)
> 2. Don't treat stashes specially (shoot the user)
> 3. Don't purge stashes when auto-gc-ing (let the users shoot themselves)
> 4. Make the behaviour configurable (let the users shoot themselves)
> 5. Double the expiration time on stashes and warn for them when they should
>   normally have expired (during gc, that is) (shoot the user, but warn 
> first).
> 
> I'm all for #4 and will cook up a patch for that next week when I'm on
> vacation unless #1 gets applied before that.
> 

There are additional choices too, I think, with config-driven
variations as well.

At git-gc time, notice a reflog entry for a stash that
is about to expire and either convert it to a branch or
interactively offer to convert it or delete it.

Provide a command that converts stash entries to branches.
Maybe even take over refs/stash/ name-space or so?

All with various config options to do that quietly, interactively,
always, never, etc.

jdl